/*----- PROTECTED REGION ID(DataVampireStateMachine.cpp) ENABLED START -----*/
/* clang-format on */
//=============================================================================
//
// file :        DataVampireStateMachine.cpp
//
// description : State machine file for the DataVampire class
//
// project :     DataVampire
//
// This file is part of Tango device class.
//
// Tango is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Tango is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Tango.  If not, see <http://www.gnu.org/licenses/>.
//
//
//
//=============================================================================
//                This file is generated by POGO
//        (Program Obviously used to Generate tango Object)
//=============================================================================

#include "DataVampire.h"

/* clang-format off */
/*----- PROTECTED REGION END -----*/	//	DataVampire::DataVampireStateMachine.cpp

//================================================================
//  States  |  Description
//================================================================
//  ON      |  
//  FAULT   |  


namespace DataVampire_ns
{
//=================================================
//		Attributes Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_MinThreshold_allowed()
 *	Description : Execution allowed for MinThreshold attribute
 */
//--------------------------------------------------------
bool DataVampire::is_MinThreshold_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for MinThreshold attribute in Write access.
	/*----- PROTECTED REGION ID(DataVampire::MinThresholdStateAllowed_WRITE) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::MinThresholdStateAllowed_WRITE

	//	Not any excluded states for MinThreshold attribute in read access.
	/*----- PROTECTED REGION ID(DataVampire::MinThresholdStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::MinThresholdStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_MaxThreshold_allowed()
 *	Description : Execution allowed for MaxThreshold attribute
 */
//--------------------------------------------------------
bool DataVampire::is_MaxThreshold_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for MaxThreshold attribute in Write access.
	/*----- PROTECTED REGION ID(DataVampire::MaxThresholdStateAllowed_WRITE) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::MaxThresholdStateAllowed_WRITE

	//	Not any excluded states for MaxThreshold attribute in read access.
	/*----- PROTECTED REGION ID(DataVampire::MaxThresholdStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::MaxThresholdStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_CommandString_allowed()
 *	Description : Execution allowed for CommandString attribute
 */
//--------------------------------------------------------
bool DataVampire::is_CommandString_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for CommandString attribute in Write access.
	/*----- PROTECTED REGION ID(DataVampire::CommandStringStateAllowed_WRITE) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::CommandStringStateAllowed_WRITE

	//	Not any excluded states for CommandString attribute in read access.
	/*----- PROTECTED REGION ID(DataVampire::CommandStringStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::CommandStringStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_PollingPeriod_allowed()
 *	Description : Execution allowed for PollingPeriod attribute
 */
//--------------------------------------------------------
bool DataVampire::is_PollingPeriod_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for PollingPeriod attribute in Write access.
	/*----- PROTECTED REGION ID(DataVampire::PollingPeriodStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	DataVampire::PollingPeriodStateAllowed_WRITE

	//	Not any excluded states for PollingPeriod attribute in read access.
	/*----- PROTECTED REGION ID(DataVampire::PollingPeriodStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	DataVampire::PollingPeriodStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_PollingSamples_allowed()
 *	Description : Execution allowed for PollingSamples attribute
 */
//--------------------------------------------------------
bool DataVampire::is_PollingSamples_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for PollingSamples attribute in Write access.
	/*----- PROTECTED REGION ID(DataVampire::PollingSamplesStateAllowed_WRITE) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::PollingSamplesStateAllowed_WRITE

	//	Not any excluded states for PollingSamples attribute in read access.
	/*----- PROTECTED REGION ID(DataVampire::PollingSamplesStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::PollingSamplesStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_Sum_allowed()
 *	Description : Execution allowed for Sum attribute
 */
//--------------------------------------------------------
bool DataVampire::is_Sum_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::FAULT)
		{
		/*----- PROTECTED REGION ID(DataVampire::SumStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::SumStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_Mean_allowed()
 *	Description : Execution allowed for Mean attribute
 */
//--------------------------------------------------------
bool DataVampire::is_Mean_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::FAULT)
		{
		/*----- PROTECTED REGION ID(DataVampire::MeanStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::MeanStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_HorPos_allowed()
 *	Description : Execution allowed for HorPos attribute
 */
//--------------------------------------------------------
bool DataVampire::is_HorPos_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::FAULT)
		{
		/*----- PROTECTED REGION ID(DataVampire::HorPosStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::HorPosStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_VerPos_allowed()
 *	Description : Execution allowed for VerPos attribute
 */
//--------------------------------------------------------
bool DataVampire::is_VerPos_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::FAULT)
		{
		/*----- PROTECTED REGION ID(DataVampire::VerPosStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::VerPosStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_HorPosStd_allowed()
 *	Description : Execution allowed for HorPosStd attribute
 */
//--------------------------------------------------------
bool DataVampire::is_HorPosStd_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::FAULT)
		{
		/*----- PROTECTED REGION ID(DataVampire::HorPosStdStateAllowed_READ) ENABLED START -----*/
		
		/*----- PROTECTED REGION END -----*/	//	DataVampire::HorPosStdStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_ValidValues_allowed()
 *	Description : Execution allowed for ValidValues attribute
 */
//--------------------------------------------------------
bool DataVampire::is_ValidValues_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::FAULT)
		{
		/*----- PROTECTED REGION ID(DataVampire::ValidValuesStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::ValidValuesStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_EnableAcquisition_allowed()
 *	Description : Execution allowed for EnableAcquisition attribute
 */
//--------------------------------------------------------
bool DataVampire::is_EnableAcquisition_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for EnableAcquisition attribute in Write access.
	/*----- PROTECTED REGION ID(DataVampire::EnableAcquisitionStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	DataVampire::EnableAcquisitionStateAllowed_WRITE

	//	Not any excluded states for EnableAcquisition attribute in read access.
	/*----- PROTECTED REGION ID(DataVampire::EnableAcquisitionStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	DataVampire::EnableAcquisitionStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_CacheSize_allowed()
 *	Description : Execution allowed for CacheSize attribute
 */
//--------------------------------------------------------
bool DataVampire::is_CacheSize_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for CacheSize attribute in Write access.
	/*----- PROTECTED REGION ID(DataVampire::CacheSizeStateAllowed_WRITE) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::CacheSizeStateAllowed_WRITE

	//	Not any excluded states for CacheSize attribute in read access.
	/*----- PROTECTED REGION ID(DataVampire::CacheSizeStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::CacheSizeStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_AutoBackgroundSamples_allowed()
 *	Description : Execution allowed for AutoBackgroundSamples attribute
 */
//--------------------------------------------------------
bool DataVampire::is_AutoBackgroundSamples_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for AutoBackgroundSamples attribute in Write access.
	/*----- PROTECTED REGION ID(DataVampire::AutoBackgroundSamplesStateAllowed_WRITE) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::AutoBackgroundSamplesStateAllowed_WRITE

	//	Not any excluded states for AutoBackgroundSamples attribute in read access.
	/*----- PROTECTED REGION ID(DataVampire::AutoBackgroundSamplesStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::AutoBackgroundSamplesStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_PostAcqRoi_allowed()
 *	Description : Execution allowed for PostAcqRoi attribute
 */
//--------------------------------------------------------
bool DataVampire::is_PostAcqRoi_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for PostAcqRoi attribute in Write access.
	/*----- PROTECTED REGION ID(DataVampire::PostAcqRoiStateAllowed_WRITE) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::PostAcqRoiStateAllowed_WRITE

	//	Not any excluded states for PostAcqRoi attribute in read access.
	/*----- PROTECTED REGION ID(DataVampire::PostAcqRoiStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::PostAcqRoiStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_Width_allowed()
 *	Description : Execution allowed for Width attribute
 */
//--------------------------------------------------------
bool DataVampire::is_Width_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for Width attribute in Write access.
	/*----- PROTECTED REGION ID(DataVampire::WidthStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	DataVampire::WidthStateAllowed_WRITE

	//	Not any excluded states for Width attribute in read access.
	/*----- PROTECTED REGION ID(DataVampire::WidthStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	DataVampire::WidthStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_Height_allowed()
 *	Description : Execution allowed for Height attribute
 */
//--------------------------------------------------------
bool DataVampire::is_Height_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for Height attribute in Write access.
	/*----- PROTECTED REGION ID(DataVampire::HeightStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	DataVampire::HeightStateAllowed_WRITE

	//	Not any excluded states for Height attribute in read access.
	/*----- PROTECTED REGION ID(DataVampire::HeightStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	DataVampire::HeightStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_VerPosStd_allowed()
 *	Description : Execution allowed for VerPosStd attribute
 */
//--------------------------------------------------------
bool DataVampire::is_VerPosStd_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Check access type.
	if ( type==Tango::READ_REQ )
	{
		//	Compare device state with not allowed states for READ 
		if (get_state()==Tango::FAULT)
		{
		/*----- PROTECTED REGION ID(DataVampire::VerPosStdStateAllowed_READ) ENABLED START -----*/
		
		/*----- PROTECTED REGION END -----*/	//	DataVampire::VerPosStdStateAllowed_READ
			return false;
		}
		return true;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_EnablePolling_allowed()
 *	Description : Execution allowed for EnablePolling attribute
 */
//--------------------------------------------------------
bool DataVampire::is_EnablePolling_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for EnablePolling attribute in Write access.
	/*----- PROTECTED REGION ID(DataVampire::EnablePollingStateAllowed_WRITE) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	DataVampire::EnablePollingStateAllowed_WRITE

	//	Not any excluded states for EnablePolling attribute in read access.
	/*----- PROTECTED REGION ID(DataVampire::EnablePollingStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	DataVampire::EnablePollingStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_RoiParam_allowed()
 *	Description : Execution allowed for RoiParam attribute
 */
//--------------------------------------------------------
bool DataVampire::is_RoiParam_allowed(TANGO_UNUSED(Tango::AttReqType type))
{
	//	Not any excluded states for RoiParam attribute in Write access.
	/*----- PROTECTED REGION ID(DataVampire::RoiParamStateAllowed_WRITE) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::RoiParamStateAllowed_WRITE

	//	Not any excluded states for RoiParam attribute in read access.
	/*----- PROTECTED REGION ID(DataVampire::RoiParamStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::RoiParamStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_Spectrum_allowed()
 *	Description : Execution allowed for Spectrum attribute
 */
//--------------------------------------------------------
bool DataVampire::is_Spectrum_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for Spectrum attribute in read access.
	/*----- PROTECTED REGION ID(DataVampire::SpectrumStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::SpectrumStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_HorBackground_allowed()
 *	Description : Execution allowed for HorBackground attribute
 */
//--------------------------------------------------------
bool DataVampire::is_HorBackground_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for HorBackground attribute in read access.
	/*----- PROTECTED REGION ID(DataVampire::HorBackgroundStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::HorBackgroundStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_VerBackground_allowed()
 *	Description : Execution allowed for VerBackground attribute
 */
//--------------------------------------------------------
bool DataVampire::is_VerBackground_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for VerBackground attribute in read access.
	/*----- PROTECTED REGION ID(DataVampire::VerBackgroundStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::VerBackgroundStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_Image_allowed()
 *	Description : Execution allowed for Image attribute
 */
//--------------------------------------------------------
bool DataVampire::is_Image_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for Image attribute in read access.
	/*----- PROTECTED REGION ID(DataVampire::ImageStateAllowed_READ) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::ImageStateAllowed_READ
	return true;
}


//=================================================
//		Commands Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_GetSum_allowed()
 *	Description : Execution allowed for GetSum attribute
 */
//--------------------------------------------------------
bool DataVampire::is_GetSum_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::FAULT)
	{
	/*----- PROTECTED REGION ID(DataVampire::GetSumStateAllowed) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::GetSumStateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_GetMean_allowed()
 *	Description : Execution allowed for GetMean attribute
 */
//--------------------------------------------------------
bool DataVampire::is_GetMean_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::FAULT)
	{
	/*----- PROTECTED REGION ID(DataVampire::GetMeanStateAllowed) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::GetMeanStateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_GetHorPos_allowed()
 *	Description : Execution allowed for GetHorPos attribute
 */
//--------------------------------------------------------
bool DataVampire::is_GetHorPos_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::FAULT)
	{
	/*----- PROTECTED REGION ID(DataVampire::GetHorPosStateAllowed) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::GetHorPosStateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_GetVerPos_allowed()
 *	Description : Execution allowed for GetVerPos attribute
 */
//--------------------------------------------------------
bool DataVampire::is_GetVerPos_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::FAULT)
	{
	/*----- PROTECTED REGION ID(DataVampire::GetVerPosStateAllowed) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::GetVerPosStateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_GetHorPosStd_allowed()
 *	Description : Execution allowed for GetHorPosStd attribute
 */
//--------------------------------------------------------
bool DataVampire::is_GetHorPosStd_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::FAULT)
	{
	/*----- PROTECTED REGION ID(DataVampire::GetHorPosStdStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	DataVampire::GetHorPosStdStateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_GetVerPosStd_allowed()
 *	Description : Execution allowed for GetVerPosStd attribute
 */
//--------------------------------------------------------
bool DataVampire::is_GetVerPosStd_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::FAULT)
	{
	/*----- PROTECTED REGION ID(DataVampire::GetVerPosStdStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	DataVampire::GetVerPosStdStateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_GetValidValues_allowed()
 *	Description : Execution allowed for GetValidValues attribute
 */
//--------------------------------------------------------
bool DataVampire::is_GetValidValues_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::FAULT)
	{
	/*----- PROTECTED REGION ID(DataVampire::GetValidValuesStateAllowed) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::GetValidValuesStateAllowed
		return false;
	}
	return true;
}

//--------------------------------------------------------
/**
 *	Method      : DataVampire::is_SetBackground_allowed()
 *	Description : Execution allowed for SetBackground attribute
 */
//--------------------------------------------------------
bool DataVampire::is_SetBackground_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Compare device state with not allowed states.
	if (get_state()==Tango::FAULT)
	{
	/*----- PROTECTED REGION ID(DataVampire::SetBackgroundStateAllowed) ENABLED START -----*/
	/* clang-format on */
	/* clang-format off */
	/*----- PROTECTED REGION END -----*/	//	DataVampire::SetBackgroundStateAllowed
		return false;
	}
	return true;
}


/*----- PROTECTED REGION ID(DataVampire::DataVampireStateAllowed.AdditionalMethods) ENABLED START -----*/
/* clang-format on */
//	Additional Methods
/* clang-format off */
/*----- PROTECTED REGION END -----*/	//	DataVampire::DataVampireStateAllowed.AdditionalMethods

}	//	End of namespace
